Skip to main content
POST

Authorizations

Authorization
string
header
required

Admin JWT or access token for authenticating requests to VectorAI DB.

Path Parameters

collection_name
string
required

The name of the collection to scroll through.

Body

application/json
limit
integer
default:100

Maximum number of points to return per page. Must be greater than 0. For example, 20 returns 20 points per page. Defaults to 100.

Example:

10

offset

Cursor from a previous scroll response. Pass the next_page_offset value to fetch the next page. Omit or set to null for the first page.

Example:

3

filter
object

Optional filter conditions to narrow the scrolled results.

with_payload
boolean
default:true

Whether to include payload metadata in the response.

Example:

true

with_vector
boolean
default:false

Whether to include vector data in the response.

Example:

false

Response

Scroll results

usage
object
time
number<double>

Time spent to process this request, in seconds.

Example:

0.000129652

status
string

Operation status.

Example:

"ok"

result
object